Bug 1006807 - Sync JGroups version in HornetQ project and EAP
Sync JGroups version in HornetQ project and EAP
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: ---
Assigned To: Clebert Suconic
Miroslav Novak
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 06:23 EDT by Miroslav Novak
Modified: 2013-12-15 11:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:20:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Novak 2013-09-11 06:23:59 EDT
Description of problem:

At this moment there is JGroups 3.2.12.Final in EAP 6.2.0.ER1. HornetQ contained in EAP 6.2.0.ER1 depends on JGroups version 3.2.5.Final.

For testing we're always using JGroups (and all other dependencies) from EAP server so it's verified that newer version of JGroups is ok to use. 

Anyway there should be EAP and HornetQ project dependencies in sync. JGroups dependency in HornetQ should be updated to 3.2.12.Final.
Comment 1 Clebert Suconic 2013-09-11 08:32:59 EDT
I wouldn't say this is a problem. JGroups is used at HornetQ more to validate HornetQ's code. the tests are minimal to validate the integration.

Anyway I have updated it: https://github.com/hornetq/hornetq/pull/1271


this doesn't need to be on the EAP release notes as it was a simple task without any effect on the codebase.
Comment 2 Miroslav Novak 2013-10-04 03:48:11 EDT
Verified. JGroups versions are the same in EAP 6.2.0.ER3. Thanks Clebert!

Note You need to log in before you can comment on or make changes to this bug.